## lua-torch-nn 0~20171002-g8726825+dfsg

=== debian/changelog ===
lua-torch-nn (0~20171002-g8726825+dfsg-4) unstable; urgency=medium

  * Add new include path due to lua-torch-torch7's header path move.
    (Closes: #908657)
  * Bump Standards-Version to 4.2.1 (no change).
  * Modify test.lua to adapt to lua-moses' API change. (Closes: #907791)
    + debian/patches/lua-moses-2.0.0.patch
  * Require lua-moses (>= 2.0.0~) as both Build-Depends and Depends.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 12 Sep 2018 10:09:08 +0000

lua-torch-nn (0~20171002-g8726825+dfsg-3) unstable; urgency=medium

  * Enable i386 build.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 12 May 2018 08:53:52 +0000

lua-torch-nn (0~20171002-g8726825+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 29 Apr 2018 14:55:38 +0000

lua-torch-nn (0~20171002-g8726825+dfsg-1) experimental; urgency=medium

  * New upstream version 0~20171002-g8726825+dfsg
  * Add watch to monitor upstream master branch.
  * Bump debhelper compat level to 11.
    + Remove --parallel argument to dh since it's the default for compat 11.
  * Update copyright information.
  * Point Vcs-* fields to Salsa.
  * Add lua-moses as new Depends. (Closes: #870029)
  * Fix broken symlink by linking to the actual shared lib instead.
    (Closes: #876708)
  * Bump Standards-Version to 4.1.4 (no change).
    + Change URLs in copyright into https form.
  * Refresh symbols control file for libtorch-thnn.
  * List the removed files in copyright instead of README.Source
  * Let the dh_auto_test target check DEB_BUILD_OPTIONS.
  * Don't manually set DEB_HOST_MULTIARCH in rules.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Apr 2018 09:14:00 +0000

lua-torch-nn (0~20170726-gf613412+dfsg-1) experimental; urgency=medium

  * New upstream version 0~20170726-gf613412+dfsg
  * control: Bump Standards-Version to 4.0.0 (requires no change).
  * symbols: refresh
  * tests: Update autopkgtest.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 26 Jul 2017 16:06:57 +0000

lua-torch-nn (0~20170521-g84b4350+dfsg-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Only build on architectures supported by upstream.
    Supported: amd64 arm64 armel armhf ppc64el kfreebsd-amd64
  * Temporarily allow upstream unittest to fail via rules.
  * Refresh symbols control file.

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 22 May 2017 03:47:25 +0000

lua-torch-nn (0~20170308-g1d38cba+dfsg-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Refresh symbols control file.

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 14 Mar 2017 11:02:59 +0000

lua-torch-nn (0~20170204-g3a1b725+dfsg-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Refresh patche: THNN-cmake-add-soversion.
  * Modify Depends: luajit is prior to lua5.1 .
  * Refresh symbols control file.

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 06 Feb 2017 04:12:11 +0000

lua-torch-nn (0~20170104-ge77b592+dfsg-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Bump debhelper compat to 10.
  * Remove patch: THNN-assume-torch-is-present . Use cmake flag
    `Torch_FOUND` in d/rules instead.
  * Modify patch: THNN-cmake-add-soversion to adapt upstream change.
  * Add basic autopkgtest support.
  * Mend a problematic comment in rules.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 11 Jan 2017 06:59:45 +0000

lua-torch-nn (0~20161116-g8e0b061+dfsg-2) experimental; urgency=medium

  * Maintainer is Debian Science Team, and put myself to Uploaders.
  * Depends on libtorch-thnn-dev instead of libtorch-thnn for lua-torch-nn,
    the library is used in the Luajit FFI manner, which requires the header.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 16 Dec 2016 01:43:22 +0000

lua-torch-nn (0~20161116-g8e0b061+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
  * Refresh symbols control file.
  * Remove -Wall -pedantic from DEB_CFLAGS_MAINT_APPEND to reduce log size.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 17 Nov 2016 10:00:19 +0000

lua-torch-nn (0~20160908-g9d7b9ea+dfsg-1) experimental; urgency=medium

  * Import upstream snapshot 9d7b9ea4c9ba38e92dc0186af33ff7c0f323d2a4.
  * Remove patch 'fix-spelling-errors' which was merged to upstream.
  * Refresh symbols control file.
  * Override lintianW: symbols-file-contains-debian-revision due to #539066.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 10 Sep 2016 02:58:02 +0000

lua-torch-nn (0~20160812-g461701f+dfsg-1) experimental; urgency=low

  * Initial release. Closes: #826794

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 06 Jun 2016 03:50:31 +0000
