=== debian/tests/control ===
Test-Command: luajit -ltorch -lnn -e 'print(true)'

Test-Command: luajit -ltorch -lnn -e 'nn.test()'
