=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd-g%h, dversionmangle=s/\+dfsg\d*$//" \
https://github.com/torch/nn \
HEAD debian uupdate
