## lua-torch-nn 0%7e20161116

=== lib/THNN/CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,8 @@
   FIND_PACKAGE(Torch REQUIRED)
 ENDIF()
 
-IF(NOT TH_LIBRARIES)
-  SET(TH_LIBRARIES "TH")
-ENDIF(NOT TH_LIBRARIES)
-MESSAGE(STATUS "TH_LIBRARIES: ${TH_LIBRARIES}")
-
 IF(NOT THNN_INSTALL_LIB_SUBDIR)
   SET(THNN_INSTALL_LIB_SUBDIR "lib" CACHE PATH "THNN install library directory")
-  SET(THNN_INSTALL_INCLUDE_SUBDIR "include" CACHE PATH "THNN install include subdirectory")
 ENDIF()
 
 # Flags
@@ -67,17 +61,6 @@
 SET_TARGET_PROPERTIES(THNN PROPERTIES
   PREFIX "lib"
   IMPORT_PREFIX "lib")
-
-TARGET_LINK_LIBRARIES(THNN ${TH_LIBRARIES})
-
-# Luarocks bug pre-14.04 prevents us from setting it for Lua-Torch
-IF(THNN_SO_VERSION)
-  MESSAGE(STATUS "THNN_SO_VERSION: ${THNN_SO_VERSION}")
-  SET_TARGET_PROPERTIES(THNN PROPERTIES
-    VERSION   ${THNN_SO_VERSION}
-    SOVERSION ${THNN_SO_VERSION})
-ENDIF(THNN_SO_VERSION)
+TARGET_LINK_LIBRARIES(THNN TH)
 
 INSTALL(TARGETS THNN LIBRARY DESTINATION ${THNN_INSTALL_LIB_SUBDIR})
-INSTALL(FILES THNN.h DESTINATION "${THNN_INSTALL_INCLUDE_SUBDIR}/THNN")
-INSTALL(FILES generic/THNN.h DESTINATION "${THNN_INSTALL_INCLUDE_SUBDIR}/THNN/generic")
